# RPC Commands

## `tm.list`

List details of transactions.

Parameters:

- none

## `tm.t_uac_start`

Generates and sends a local SIP request.

Parameters:

- method - request method

- RURI - request SIP URI

- NEXT HOP - next hop SIP URI (OBP); use . if no value.

- socket - local socket to be used for sending the request; use . if no value.

- headers - set of additional headers to be added to the request; at least From and To headers must be provided)

- body - (optional, may not be present) request body (if present, requires the Content-Type and Content-length headers)

## `tm.t_uac_wait`

Similar to tm.t_uac_start, but waits for the SIP response and tries to provide its details via RPC response.

## `tm.cancel`

Generates and sends a CANCEL for an existing local SIP request.

Parameters:

- callid - callid of the INVITE request to be cancelled.

- cseq - cseq of the INVITE request to be cancelled.

## `tm.hash_stats`

Gets information about the load of TM internal hash table.

Parameters:

- none

## `tm.reply`

Generates and sends a reply for an existing inbound SIP transaction.

Parameters:

- code - reply code

- reason - reason phrase.

- trans_id - transaction identifier (has the hash_entry:label format)

- to_tag - To tag to be added to TO header

- new_headers - extra headers to be appended to the reply; use a dot (.) char only if there are no headers;

- body - (optional, may not be present) reply body (if present, requires the Content-Type and Content-length headers)

## `tm.reply_callid`

Generates and sends a reply for an existing inbound SIP transaction.

Parameters:

- code - reply code

- reason - reason phrase.

- callid - SIP Call-ID header

- cseq - SIP CSeq header

- to_tag - To tag to be added to TO header

- new_headers - extra headers to be appended to the reply; use a dot (.) char only if there are no headers;

- body - (optional, may not be present) reply body (if present, requires the Content-Type and Content-length headers)

## `tm.clean`

Trigger an hard clean of expired transactions.

Parameters:

- none

## `tm.stats`

Gets information about current and past TM transaction handling.

Parameters:

- none